# eric4.QScintilla.Lexers.LexerLua

Module implementing a Lua lexer with some additional methods.

### Classes

LexerLua | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerLua

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerLua, Lexer

### Methods

LexerLua | Constructor
initProperties | Public slot to initialize the properties.

#### LexerLua (Constructor)

LexerLua(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerLua.initProperties

initProperties()

Public slot to initialize the properties.

Up